DROP TABLE IF EXISTS `thold_data`;
CREATE TABLE `thold_data` (
  `id` int(11) NOT NULL auto_increment,
  `rra_id` int(11) NOT NULL default '0',
  `data_id` int(11) NOT NULL default '0',
  `thold_hi` bigint default NULL,
  `thold_low` bigint default NULL,
  `thold_fail_trigger` int(10) unsigned default NULL,
  `thold_fail_count` int(11) NOT NULL default '0',
  `thold_alert` int(1) NOT NULL default '0',
  `bl_enabled` enum('on','off') NOT NULL default 'off',
  `bl_ref_time` bigint unsigned default NULL,
  `bl_ref_time_range` int(10) unsigned default NULL,
  `bl_pct_down` int(10) unsigned default NULL,
  `bl_pct_up` int(10) unsigned default NULL,
  `bl_fail_trigger` int(10) unsigned default NULL,
  `bl_fail_count` int(11) unsigned default NULL,
  `bl_alert` int(2) NOT NULL default '0',
  `lastread` bigint default NULL,
  `repeat_alert` int(10) unsigned default NULL,
  `notify_default` enum('on','off') default NULL,
  `notify_extra` varchar(255) default NULL,
  `host_id` int(10) default NULL,
  `syslog_priority` int(2) default '3',
  PRIMARY KEY  (`id`),
  KEY `rra_id` (`rra_id`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `thold`;
CREATE TABLE `thold` (
  `id` mediumint(8) NOT NULL auto_increment,
  `element` varchar(50) default NULL,
  `rra` int(11) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `tholdset`;
CREATE TABLE `tholdset` (
  `id` mediumint(8) NOT NULL auto_increment,
  `datet` datetime default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

INSERT INTO `tholdset` VALUES (1, '2005-02-17 02:20:03');

INSERT INTO `user_auth_realm` VALUES (18, 1);
INSERT INTO `user_auth_realm` VALUES (19, 1);

INSERT INTO settings VALUES ('alert_bl_past_default',86400);
INSERT INTO settings VALUES ('alert_bl_timerange_def',10800);
INSERT INTO settings VALUES ('alert_bl_percent_def',20);
INSERT INTO settings VALUES ('alert_bl_trigger',3);
