#/bin/sh


if [ "$1" != "" ]
        then
                echo "Uninstalling from $1"
        else
                echo "Error - wrong syntax - you must specify cacti root directory ie: uninstall.sh /var/www/html/cacti"
                exit
fi

cd $1
cactibasedir=$1
mv $cactibasedir/data_sources.php.bak $cactibasedir/data_sources.php
mv $cactibasedir/lib/functions.php.bak $cactibasedir/lib/functions.php
mv $cactibasedir/include/config_arrays.php.bak $cactibasedir/include/config_arrays.php
mv $cactibasedir/include/config_settings.php.bak $cactibasedir/include/config_settings.php
mv $cactibasedir/include/top_header.php.bak $cactibasedir/include/top_header.php
mv $cactibasedir/include/top_graph_header.php.bak $cactibasedir/include/top_graph_header.php

mv $cactibasedir/graph_thold.php ./
mv $cactibasedir/listthold.php ./
mv $cactibasedir/thold.php ./


echo "
DROP TABLE thold;
DROP TABLE tholdset;
DROP TABLE thold_data;" > dropthold.sql

mysql cacti < dropthold.sql

echo "done"
echo "*****"
echo "Be sure to modify your crontab"
echo "*****"
